1.1

1.1

get /v1/internet-gateways

Description

Internet Gateway 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
한도
Example : 20
any of [integer, null]None
querymarker
optional
마커
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Internet Gateway ID
Example :
any of [string, null]None
queryname
optional
Internet Gateway 명
Example :
any of [string, null]None
querytype
optional
Internet Gateway 유형
Example :
enum (IGW, GGW, SIGW)
querystate
optional
상태
Example :
string
queryvpc_id
optional
VPC ID
Example :
any of [string, null]
queryvpc_name
optional
VPC 명
Example :
any of [string, null]

Responses

HTTP CodeDescriptionSchema
200OKInternetGatewayListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "internet_gateways": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "firewall_id": "",
            "id": "",
            "loggable": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "type": "IGW",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}